#define RSRC_BASE	1000
#define NIL			0L
#define MOVE_TO_FRONT	-1L
#define REMOVE_ALL_EVENTS 0

#define APPLE_MENU_ID	1000
#define FILE_MENU_ID	1001
#define EDIT_MENU_ID	1002

#define ABOUT_ITEM	1
#define ABOUT_ALERT	1000
#define LOGON_DIALOG 1000
#define ERROR_ALERT_ID 1002

#define NO_MBAR	RSRC_BASE
#define NO_MENU	RSRC_BASE + 1
#define NO_WIND RSRC_BASE + 3
#define NO_MEMORY	RSRC_BASE + 4

#define OK_BUTTON		1
#define CANCEL_BUTTON	2

#define LOGON_NODE	7
#define LOGON_NAME	8
#define LOGON_PSWD	9

#define NEW_ITEM	1
#define CLOSE_ITEM 	2
#define MONITOR_ITEM	4
#define QUIT_ITEM	6

#define UNDO_ITEM	1
#define CUT_ITEM	3
#define COPY_ITEM	4
#define PASTE_ITEM	5
#define CLEAR_ITEM	6

#define DRAG_THRESH	30
#define WINDOW_HOME_LEFT	5
#define WINDOW_HOME_TOP	45
#define NEW_WINDOW_OFFSET	20
#define SBarWidth	15

#define NIL_WINDOW  0
#define DEMO_WINDOW	1
#define DA_WINDOW	2
#define UNKNOWN_WINDOW	3

#define MIN_SLEEP	0L
#define NIL_MOUSE_REGION	0L

#define LEAVE_WHERE_IT_IS	FALSE

#define TE_ENTER_KEY	0x03
#define TE_TAB_CHAR		0x09
#define TE_CARRIAGE_RETURN	0x0d
#define TE_LEFT_ARROW	0x1c
#define TE_RIGHT_ARROW	0x1d
#define TE_UP_ARROW		0x1e
#define TE_DOWN_ARROW	0x1f
#define TE_BS_KEY		0x08
#define TE_INPUT_AREA	0
#define TE_OUTPUT_AREA	1

#define DAL_MONITOR_INTERVAL	120
#define DAL_MAXCOL	50

#define WNE_TRAP_NUM	0x60
#define UNIMPL_TRAP_NUM	0x9f

#define SUSPEND_RESUME_BIT	0x0001
#define RESUMING 1

#define NIL_STR	"\p"
#define FATAL_STR	"\pThat's all she wrote!"

/* Macros */
#define TopLeft(aRect) (* (Point *) &(aRect.top))
#define BotRight(aRect) (* (Point *) &(aRect.bottom))

/* Type definitions */
typedef struct
{
	WindowRecord	wind;
	int				wType;
	ControlHandle	vScroll, vInScroll, vOutScroll;
	TEHandle		inputTE, outputTE, curTE;
} demoRecord, *demoPeek;

/* Function headers */
pascal Boolean SignonFilter();
pascal Boolean NewClikLoop();
void CommonAction(ControlHandle,short *);
void TurnOffTextArea(demoPeek ,int);
void TurnOnTextArea(demoPeek ,int);
void SwitchToNewArea(demoPeek);
void DALReadLink(demoPeek);
void DALDisplayState(demoPeek);
void DALDisplayRow(demoPeek, Ptr *, int);
void DALErrorHandler(demoPeek, int);

